Bug 449386 - [Feature request] Make "power up time" smart attribute easier to read
Summary: [Feature request] Make "power up time" smart attribute easier to read
Status: RESOLVED FIXED
Alias: None
Product: partitionmanager
Classification: Unclassified
Component: general (show other bugs)
Version: 21.12.1
Platform: Archlinux Packages Linux
: NOR minor
Target Milestone: ---
Assignee: Andrius Štikonas
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-01-30 19:13 UTC by kortrax11
Modified: 2022-06-01 20:31 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 22.08


Attachments
What KDE shows right now under "power on hours" (10.18 KB, image/png)
2022-01-30 19:13 UTC, kortrax11
Details
How gnome shows "power on hours." Much easier to read. (4.14 KB, image/png)
2022-01-30 19:15 UTC, kortrax11
Details

Note You need to log in before you can comment on or make changes to this bug.
Description kortrax11 2022-01-30 19:13:59 UTC
Created attachment 146083 [details]
What KDE shows right now under "power on hours"

SUMMARY: 

This should be an easy one. Currently the "power up time" smart attribute in KDE partition manager reads the raw value. This is annoying as it is much easier to read Years, months, days, and hours. I much prefer how Gnome's disk manager reads this attribute. Is it possible we could do the same for KDE's partition manager?
Comment 1 kortrax11 2022-01-30 19:15:08 UTC
Created attachment 146084 [details]
How gnome shows "power on hours." Much easier to read.
Comment 2 Bug Janitor Service 2022-05-29 13:55:44 UTC
A possibly relevant merge request was started @ https://invent.kde.org/system/partitionmanager/-/merge_requests/22
Comment 3 Bug Janitor Service 2022-05-29 14:00:37 UTC
A possibly relevant merge request was started @ https://invent.kde.org/system/kpmcore/-/merge_requests/37
Comment 4 ratijas 2022-05-29 21:16:37 UTC
Git commit 9b015661aa3e3c534b706e5da80b9fc8ef397af0 by ivan tkachenko.
Committed on 29/05/2022 at 13:56.
Pushed by stikonas into branch 'master'.

Present SMART status duration in more human-readable spellout format

M  +2    -2    src/core/smartattribute.cpp

https://invent.kde.org/system/kpmcore/commit/9b015661aa3e3c534b706e5da80b9fc8ef397af0
Comment 5 ratijas 2022-05-30 20:11:17 UTC
Git commit 94e450f33d791ffcd8edbcb6302e4f70a454ec27 by ivan tkachenko.
Committed on 29/05/2022 at 21:52.
Pushed by ratijas into branch 'master'.

Present SMART status duration in more human-readable spellout format

M  +1    -1    src/gui/smartdialog.cpp

https://invent.kde.org/system/partitionmanager/commit/94e450f33d791ffcd8edbcb6302e4f70a454ec27